<template>
  <a
    type="button"
    class="text-xs inline-flex items-center font-bold leading-sm px-3 py-1 rounded-full bg-white text-gray-700 border"
    :href="`#group-${id}`"
  >
    <app-multilang-string :str="title"/>
  </a>
</template>

<script setup lang="ts">
import { PropType } from "vue";
import { MultilangString } from "../App/AppMultilangString/types";

defineProps({
  title: {
    type: [String, Object] as PropType<MultilangString|string>,
    required: true,
  },
  id: {
    type: Number,
    required: true,
  }
})
</script>